#!/bin/sh

NO_ERROR=0
LOW_ERROR=1
FATAL_ERROR=2

RET_ERROR=0

STARTLOGINFO="<update cat=\"log\" level=\"info\">"
STARTLOGERROR="<update cat=\"log\" level=\"error\">"
ENDLOGINFO="</update>"

UPDATE="<update cat=\"control\" setting=\"reboots.when.done\" value=\"wait=180,resultfile=/home/upgrade/update_log\"/>"

echo $STARTLOGINFO"  installing new OS"$ENDLOGINFO
echo $STARTLOGINFO"  root fs mounted, reboot needed"$ENDLOGINFO

#clean previous install if needed...
rm /home/upgrade/update_log
rm -rf /home/upgrade/reboot_update

mkdir /home/upgrade/reboot_update
cp -r ./* /home/upgrade/reboot_update

echo $STARTLOGINFO"  prepare for install after reboot"$ENDLOGINFO
mkdir -p /mnt/ramdisk
mount /dev/hda4 /mnt/ramdisk

#install grub 0.97
CURRENT_DIR=`pwd`
mkdir -p /mnt/ramdisk/boot/grub
chmod +x grub/grub
chmod +x grub/grub-install
cd /mnt/ramdisk/boot/grub
tar -xzf $CURRENT_DIR/grub/grub.tgz

cd $CURRENT_DIR/grub
./grub-install --grub-shell=./grub --no-floppy --root-directory=/mnt/ramdisk /dev/hda

grub-set-default --root-directory=/mnt/ramdisk/ 3
umount /mnt/ramdisk
sync

if [ $RET_ERROR -ne 0 ];then
  echo $STARTLOGERROR"  failed to install OS"$ENDLOGINFO
  RET_ERROR=2
else
   echo $UPDATE
  reboot -d 10 &
fi

