#!/bin/sh
# Upgrade system: check for upgrades

# === Configuration section ===
VERSION="1.0"
# Error exit code
EXITERROR=255
CHECKSTART="<checkupdate status=\"start\"/>"
CHECKDONE="<checkupdate status=\"done\"/>"
START="<update status=\"start\" pkgname=\""
STOP="<update status=\"stop\" pkgname=\""
ERRORCODE="\" error=\""
CLOSE="\"/>"
LOG_INFO="<update cat=\"log\" level=\"info\">"
LOG_ERROR="<update cat=\"log\" level=\"error\">"
END_LOG="</update>"

# === Code section ===
if [ "$1" = "-z" ]; then
  echo -n $VERSION
  exit 0
fi

echo $CHECKSTART
echo $LOG_INFO "Clearing all update packages"$END_LOG
for pkg in *-*.tar.gz; do
  echo $LOG_INFO "Remove package: "$pkg$END_LOG
  rm $pkg
done

echo $LOG_INFO "All update packages are removed"$END_LOG
echo $CHECKDONE
exit 0;
